Previously Purchased
Filters
Brand
Price
Custom Range
Special Attributes
Voltage
Color
Alarm Included
Alarm Type
Antimicrobial
Application
Caster Configuration
Compressor Speed
Condenser Type
Contains California Prop 65 Carcinogen
Contains California Prop 65 Reproductive Toxicant
Control Type
Cord Length
Current
Defrost Method
Display
Door Exterior Material
Door Hinge
Door Lock Type
Door Type
Energy Guide Label Applicable
EnvironmentallyPreferable_Indicator
Features
Freezer Capacity
Freezer Interior Depth
Freezer Interior Height
Freezer Interior Width
Freezer Temperature - Maximum
Freezer Temperature - Minimum
Freezer Temperature Range
Freight Class Code
Global Warming Potential (GWP)
Includes
Includes Alarm
Laboratory Refrigerator/Freezer Style
Manufacturer Part Number
Maximum Freezer Temperature
Maximum Refrigerator Temperature
Minimum Freezer Temperature
Minimum Refrigerator Temperature
Number of Doors
Number of Shelves
Overall Depth
Overall Height
Overall Width
Plug Type
Probe Port Size
Product Type
Refrigerant Quantity
Refrigerant Type
Refrigerator Capacity
Refrigerator Interior Depth
Refrigerator Interior Height
Refrigerator Interior Width
Refrigerator Temperature - Maximum
Refrigerator Temperature - Minimum
Refrigerator Temperature Range
Safety Data Sheet (SDS) Applicable?
Select Green Certification or Other Recognition
Shelf Adjustability
Shelving Material
Shelving Type
Standards
Temperature Accuracy Tolerance
Temperature Display
Total Capacity
Weight
Lab Refrigerator-Freezers
61 products
Grainger category: Lab Refrigerator-Freezers
Products by Family
Freezer: Refrigerator Capacity,
1 product available
| Image | Product Name | Mfr # | Brand | Price | Availability |
|---|---|---|---|---|---|
|
|
Freezer: 4 cu ft Refrigerator Capacity, 5 cu ft Freezer Capacity, 2 Doors
Freezer, Laboratory Refrigerator/Freezer Style Upright, Overall Depth 23 5/8 in,...
|
Mfr. #: ABT-HC-ERFC10
|
AMERICAN BIOTECH SUPPLY | $9,474.78 | In Stock |
Lab Refrigerator/Freezer General Purpose
2 products available
| Image | Product Name | Mfr # | Brand | Price | Availability |
|---|---|---|---|---|---|
|
|
Lab Refrigerator and Freezer Combination
Pharmacy Refrigerator and Freezer
|
Mfr. #: PH-ABT-HC-RFC-16A
|
AMERICAN BIOTECH SUPPLY | $9,962.88 | In Stock |
|
|
Lab Refrigerator and Freezer Combination
Laboratory Refrigerator and Freezer
|
Mfr. #: ABT-HC-RFC-16A
|
AMERICAN BIOTECH SUPPLY | $9,246.21 | In Stock |
Lab Refrigerator and Freezer Combination General Purpose
6 products available
| Image | Product Name | Mfr # | Brand | Price | Availability |
|---|---|---|---|---|---|
|
|
Lab Refrigerator and Freezer Combination: 19 1/2 in Overall Dp, 2 Doors
Refrigerator w/ Freezer, 33-3/4" H, 19" W
|
Mfr. #: ABT-RFC-3M
|
AMERICAN BIOTECH SUPPLY | $1,562.31 | In Stock |
|
|
Lab Refrigerator and Freezer Combination: 19 3/4 in Overall Dp, 19 in Overall Wd, 2 Doors
Refrigerator and Freezer, 1.4A, 60 Hz
|
Mfr. #: CP34W
|
SUMMIT | $705.13 | In Stock |
|
|
Lab Refrigerator and Freezer Combination: 23 1/2 in Overall Dp, 23 5/8 in Overall Wd, Cycle
Refrigerator w/Freezer, General Purpose
|
Mfr. #: CT66LW
|
ACCUCOLD | $1,243.30 | In Stock |
|
|
Lab Refrigerator and Freezer Combination: 23 3/4 in Overall Dp, 1 Doors, Right
Undercounter Refrigerator and Freezer
|
Mfr. #: MS24RFS4RW
|
MARVEL SCIENTIFIC | $3,293.36 | In Stock |
|
|
Lab Refrigerator and Freezer Combination: 34 1/8 in Overall Dp, 2 Doors
Laboratory Refrigerator, Color White, 69"H
|
Mfr. #: ABT-HC-RFC20A
|
AMERICAN BIOTECH SUPPLY | $3,232.28 | In Stock |
|
|
Lab Refrigerator and Freezer Combination: 35 1/2 in Overall Dp, 2 Doors
Refrigerator w/Freezer, 72-1/2"H, 35-3/4"W
|
Mfr. #: ABT-RFC-30M
|
AMERICAN BIOTECH SUPPLY | $8,003.76 | In Stock |
Lab Refrigerator and Freezer Combination Pharmacy
10 products available
| Image | Product Name | Mfr # | Brand | Price | Availability |
|---|---|---|---|---|---|
|
|
Lab Refrigerator and Freezer Combination: 24 1/2 in Overall Dp, 2 Doors
Refrigerator/Freezer, Upright, 9 cu. ft.
|
Mfr. #: PH-ABT-HC-RFC9SS-LH
|
AMERICAN BIOTECH SUPPLY | $4,786.64 | In Stock |
|
|
Lab Refrigerator and Freezer Combination: 24 1/2 in Overall Dp, 2 Doors
Refrigerator/Freezer, Upright, 9 cu. ft.
|
Mfr. #: PH-ABT-HC-RFC9-LH
|
AMERICAN BIOTECH SUPPLY | $4,152.59 | In Stock |
|
|
Lab Refrigerator and Freezer Combination: 24 1/2 in Overall Dp, 2 Doors
Refrigerator/Freezer, Upright, 9 cu. ft.
|
Mfr. #: PH-ABT-HC-RFC9SS
|
AMERICAN BIOTECH SUPPLY | $4,512.95 | In Stock |
|
|
Lab Refrigerator and Freezer Combination: 24 1/2 in Overall Dp, 2 Doors
Refrigerator/Freezer, Upright, 9 cu. ft.
|
Mfr. #: PH-ABT-HC-RFC9
|
AMERICAN BIOTECH SUPPLY | $3,978.41 | In Stock |
|
|
Lab Refrigerator and Freezer Combination: 24 1/4 in Overall Dp, 2 Doors
Refrigerator/Freezer, Upright, 7 cu. ft.
|
Mfr. #: PH-ABT-HC-RFC7
|
AMERICAN BIOTECH SUPPLY | $3,686.05 | In Stock |
|
|
Lab Refrigerator and Freezer Combination: 24 in Overall Dp, 2 Doors, Right
Refrigerator w/Freezer, 53-1/8"H, 23-3/4"W
|
Mfr. #: PH-ABT-HC-RFC7S
|
AMERICAN BIOTECH SUPPLY | $3,701.74 | In Stock |
|
|
Lab Refrigerator and Freezer Combination: 25 1/2 in Overall Dp, 2 Doors
Refrigerator/Freezer, Upright, 9 cu. ft.
|
Mfr. #: PH-ABT-HC-RFC9G-LH
|
AMERICAN BIOTECH SUPPLY | $4,152.59 | In Stock |
|
|
Lab Refrigerator and Freezer Combination: 25 1/2 in Overall Dp, 2 Doors
Refrigerator/Freezer, Upright, 9 cu. ft.
|
Mfr. #: PH-ABT-HC-RFC9G
|
AMERICAN BIOTECH SUPPLY | $4,066.10 | In Stock |
|
|
Lab Refrigerator and Freezer Combination: 26 1/2 in Overall Dp, 2 Doors
Refrigerator/Freezer, Upright, 12 cu. ft.
|
Mfr. #: PH-ABT-HC-RFC12
|
AMERICAN BIOTECH SUPPLY | $5,536.17 | In Stock |
|
|
Lab Refrigerator and Freezer Combination: 26 1/2 in Overall Dp, 2 Doors
Refrigerator/Freezer, Upright, 12 cu. ft.
|
Mfr. #: PH-ABT-HC-RFC12G
|
AMERICAN BIOTECH SUPPLY | $5,448.48 | In Stock |
Lab Refrigerator and Freezer Combination High Performance
2 products available
| Image | Product Name | Mfr # | Brand | Price | Availability |
|---|---|---|---|---|---|
|
|
Lab Refrigerator and Freezer Combination: 24 1/4 in Overall Dp, 2 Doors
Refrigerator/Freezer, Upright, 7 cu. ft.
|
Mfr. #: ABT-HC-RFC7A
|
AMERICAN BIOTECH SUPPLY | $3,839.47 | In Stock |
|
|
Lab Refrigerator and Freezer Combination: 25 1/2 in Overall Dp, 2 Doors
Refrigerator/Freezer, Upright, 9 cu. ft.
|
Mfr. #: ABT-HC-RFC9G
|
AMERICAN BIOTECH SUPPLY | $4,154.32 | In Stock |
Lab Refrigerator and Freezer Combination Flammable Liquid
1 product available
| Image | Product Name | Mfr # | Brand | Price | Availability |
|---|---|---|---|---|---|
|
|
Lab Refrigerator and Freezer Combination: 24 1/4 in Overall Dp, 2 Doors
Refrigerator w/Freezer, 65-3/8"H, 23-5/8"W
|
Mfr. #: ABT-HC-FRFC10
|
AMERICAN BIOTECH SUPPLY | $6,535.17 | In Stock |
Lab Refrigerator and Freezer Combination Medication, Vaccine, Pharmacy, Life Science
2 products available
| Image | Product Name | Mfr # | Brand | Price | Availability |
|---|---|---|---|---|---|
|
|
Lab Refrigerator and Freezer Combination: 25 in Overall Dp, 23 1/2 in Overall Wd, 2 Doors
Lab Refrigerator-Freezer, White
|
Mfr. #: ARFG15PVLHD
|
ACCUCOLD | $6,635.14 | In Stock |
|
|
Lab Refrigerator and Freezer Combination: 25 in Overall Dp, 23 1/2 in Overall Wd, 2 Doors
Lab Refrigerator-Freezer, White
|
Mfr. #: ARFG15PV
|
ACCUCOLD | $6,494.00 | In Stock |
Lab Refrigerator and Freezer Combination Medication, Vaccine, Pharmacy
2 products available
| Image | Product Name | Mfr # | Brand | Price | Availability |
|---|---|---|---|---|---|
|
|
Lab Refrigerator and Freezer Combination: 26 1/4 in Overall Dp, 27 5/8 in Overall Wd, Swing
Lab Refrigerator-Freezer, White
|
Mfr. #: ARFG18PV
|
ACCUCOLD | $8,837.16 | In Stock |
|
|
Lab Refrigerator and Freezer Combination: 26 1/4 in Overall Dp, 27 5/8 in Overall Wd, Swing
Lab Refrigerator-Freezer, White
|
Mfr. #: ARFG18PVLHD
|
ACCUCOLD | $8,978.28 | In Stock |
Laboratory Refrigerator Freezer:
17 products available
| Image | Product Name | Mfr # | Brand | Price | Availability |
|---|---|---|---|---|---|
|
|
Laboratory Refrigerator and Freezer: 10 cu ft Refrigerator Capacity, 2 Doors
Laboratory Refrigerator and Freezer, Application - Laboratory Refrigerator/Freez...
|
Mfr. #: ABT-HC-RFC-15A
|
AMERICAN BIOTECH SUPPLY | $2,728.17 | In Stock |
|
|
Laboratory Refrigerator and Freezer: 10.5 cu ft Refrigerator Capacity, Auto
Laboratory Refrigerator and Freezer, Application - Laboratory Refrigerator/Freez...
|
Mfr. #: PH-ABT-HC-RFC12A-CAD
|
AMERICAN BIOTECH SUPPLY | $6,984.45 | In Stock |
|
|
Laboratory Refrigerator and Freezer: 5.2 cu ft Refrigerator Capacity, Auto
Laboratory Refrigerator and Freezer, Application - Laboratory Refrigerator/Freez...
|
Mfr. #: PH-ABT-HC-RFC7A-CAD
|
AMERICAN BIOTECH SUPPLY | $5,343.27 | In Stock |
|
|
Laboratory Refrigerator and Freezer: 5.2 cu ft Refrigerator Capacity, Auto
Laboratory Refrigerator and Freezer, Application - Laboratory Refrigerator/Freez...
|
Mfr. #: PH-ABT-HC-RFC7SA-CAD
|
AMERICAN BIOTECH SUPPLY | $5,362.86 | In Stock |
|
|
Laboratory Refrigerator and Freezer: 5.2 cu ft Refrigerator Capacity, Auto
Laboratory Refrigerator and Freezer, Laboratory Refrigerator/Freezer Style Uprig...
|
Mfr. #: ABT-HC-RFC7SA
|
AMERICAN BIOTECH SUPPLY | $3,704.47 | In Stock |
|
|
Laboratory Refrigerator and Freezer: 5.2 cu ft Refrigerator Capacity, Auto
Laboratory Refrigerator and Freezer, Application - Laboratory Refrigerator/Freez...
|
Mfr. #: PH-ABT-HC-RFC7SA
|
AMERICAN BIOTECH SUPPLY | $3,776.05 | In Stock |
|
|
Laboratory Refrigerator and Freezer: 5.2 cu ft Refrigerator Capacity, Manual
Laboratory Refrigerator and Freezer, Application - Laboratory Refrigerator/Freez...
|
Mfr. #: PH-ABT-HC-RFC1040
|
AMERICAN BIOTECH SUPPLY | $4,960.39 | In Stock |
|
|
Laboratory Refrigerator and Freezer: 5.2 cu ft Refrigerator Capacity, Manual
Laboratory Refrigerator and Freezer, Application - Laboratory Refrigerator/Freez...
|
Mfr. #: PH-ABT-HC-RFC1040G
|
AMERICAN BIOTECH SUPPLY | $4,903.39 | In Stock |
|
|
Laboratory Refrigerator and Freezer: 5.2 cu ft Refrigerator Capacity, Manual
Laboratory Refrigerator and Freezer, Laboratory Refrigerator/Freezer Style Uprig...
|
Mfr. #: ABT-HC-RFC1020
|
AMERICAN BIOTECH SUPPLY | $4,235.45 | In Stock |
|
|
Laboratory Refrigerator and Freezer: 5.2 cu ft Refrigerator Capacity, Manual
Laboratory Refrigerator and Freezer, Laboratory Refrigerator/Freezer Style Uprig...
|
Mfr. #: ABT-HC-RFC1030G
|
AMERICAN BIOTECH SUPPLY | $4,559.57 | In Stock |
|
|
Laboratory Refrigerator and Freezer: 5.2 cu ft Refrigerator Capacity, Manual
Laboratory Refrigerator and Freezer, Laboratory Refrigerator/Freezer Style Uprig...
|
Mfr. #: ABT-HC-RFC1030
|
AMERICAN BIOTECH SUPPLY | $4,619.18 | In Stock |
|
|
Laboratory Refrigerator and Freezer: 5.2 cu ft Refrigerator Capacity, Manual
Laboratory Refrigerator and Freezer, Laboratory Refrigerator/Freezer Style Uprig...
|
Mfr. #: ABT-HC-RFC1040
|
AMERICAN BIOTECH SUPPLY | $5,030.75 | In Stock |
|
|
Laboratory Refrigerator and Freezer: 5.2 cu ft Refrigerator Capacity, Manual
Laboratory Refrigerator and Freezer, Laboratory Refrigerator/Freezer Style Uprig...
|
Mfr. #: ABT-HC-RFC1040G
|
AMERICAN BIOTECH SUPPLY | $5,002.94 | In Stock |
|
|
Laboratory Refrigerator and Freezer: 5.2 cu ft Refrigerator Capacity, Manual
Laboratory Refrigerator and Freezer, Laboratory Refrigerator/Freezer Style Uprig...
|
Mfr. #: ABT-HC-RFC1020G
|
AMERICAN BIOTECH SUPPLY | $4,208.06 | In Stock |
|
|
Laboratory Refrigerator and Freezer: 5.2 cu ft Refrigerator Capacity, Manual
Laboratory Refrigerator and Freezer, Application - Laboratory Refrigerator/Freez...
|
Mfr. #: PH-ABT-HC-RFC1030G
|
AMERICAN BIOTECH SUPPLY | $4,508.09 | In Stock |
|
|
Laboratory Refrigerator and Freezer: 5.2 cu ft Refrigerator Capacity, Manual
Laboratory Refrigerator and Freezer, Application - Laboratory Refrigerator/Freez...
|
Mfr. #: PH-ABT-HC-RFC1020
|
AMERICAN BIOTECH SUPPLY | $4,290.60 | In Stock |
|
|
Laboratory Refrigerator and Freezer: 5.2 cu ft Refrigerator Capacity, Manual
Laboratory Refrigerator and Freezer, Application - Laboratory Refrigerator/Freez...
|
Mfr. #: PH-ABT-HC-RFC1030
|
AMERICAN BIOTECH SUPPLY | $4,564.83 | In Stock |
Laboratory Refrigerator: 15.35
1 product available
| Image | Product Name | Mfr # | Brand | Price | Availability |
|---|---|---|---|---|---|
|
|
Laboratory Refrigerator: 15.35 cu ft Refrigerator Capacity, 30 in Overall Wd
Laboratory Refrigerator, Application - Laboratory Refrigerator/Freezer General P...
|
Mfr. #: LRF201WWW/0A
|
COREPOINT SCIENTIFIC | $4,790.88 | In Stock |
Pharmacy Refrigerator and Freezer Combination Pharmacy
3 products available
| Image | Product Name | Mfr # | Brand | Price | Availability |
|---|---|---|---|---|---|
|
|
Pharmacy Refrigerator and Freezer Combination: 24 1/4 in Overall Dp, 2 Doors
Refrigerator/Freezer, Upright, 7 cu. ft.
|
Mfr. #: PH-ABT-HC-RFC7A
|
AMERICAN BIOTECH SUPPLY | $3,894.39 | In Stock |
|
|
Pharmacy Refrigerator and Freezer Combination: 26 1/2 in Overall Dp, 2 Doors
Refrigerator/Freezer, Upright, 12 cu. ft.
|
Mfr. #: PH-ABT-HC-RFC12A
|
AMERICAN BIOTECH SUPPLY | $5,570.52 | In Stock |
|
|
Pharmacy Refrigerator and Freezer Combination: 26 1/2 in Overall Dp, 2 Doors
Refrigerator/Freezer, Upright, 12 cu. ft.
|
Mfr. #: PH-ABT-HC-RFC12GA
|
AMERICAN BIOTECH SUPPLY | $5,530.19 | In Stock |
Refrigerator Freezer: 10.5
5 products available
| Image | Product Name | Mfr # | Brand | Price | Availability |
|---|---|---|---|---|---|
|
|
Refrigerator and Freezer: 10.5 cu ft Refrigerator Capacity, 2 Doors, Right
Refrigerator and Freezer, Application - Laboratory Refrigerator/Freezer High Per...
|
Mfr. #: ABT-HC-RFC12
|
AMERICAN BIOTECH SUPPLY | $5,356.15 | In Stock |
|
|
Refrigerator and Freezer: 10.5 cu ft Refrigerator Capacity, 2 Doors, Right
Refrigerator and Freezer, Application - Laboratory Refrigerator/Freezer High Per...
|
Mfr. #: ABT-HC-RFC12A
|
AMERICAN BIOTECH SUPPLY | $5,325.92 | In Stock |
|
|
Refrigerator and Freezer: 10.5 cu ft Refrigerator Capacity, 2 Doors, Right
Refrigerator and Freezer, Application - Laboratory Refrigerator/Freezer Pharmacy...
|
Mfr. #: PH-ABT-HC-RFC12GA-CAD
|
AMERICAN BIOTECH SUPPLY | $7,160.58 | In Stock |
|
|
Refrigerator and Freezer: 10.5 cu ft Refrigerator Capacity, 2 Doors, Swing
Refrigerator and Freezer, Application - Laboratory Refrigerator/Freezer High Per...
|
Mfr. #: ABT-HC-RFC12GA
|
AMERICAN BIOTECH SUPPLY | $5,811.55 | In Stock |
|
|
Refrigerator and Freezer: 10.5 cu ft Refrigerator Capacity, 2 Doors, Swing
Refrigerator and Freezer, Application - Laboratory Refrigerator/Freezer High Per...
|
Mfr. #: ABT-HC-RFC12G
|
AMERICAN BIOTECH SUPPLY | $5,410.38 | In Stock |
Lab Refrigerator/Freezer Flammable Liquid
1 product available
| Image | Product Name | Mfr # | Brand | Price | Availability |
|---|---|---|---|---|---|
|
|
Refrigerator and Freezer: 25 cu ft Refrigerator Capacity, 2 Doors, Manual
Refrigerator/Freezer, Upright, 30 cu. ft.
|
Mfr. #: ABT-FRCS-30
|
AMERICAN BIOTECH SUPPLY | $12,003.51 | In Stock |
Refrigerator Freezer: Refrigerator
7 products available
| Image | Product Name | Mfr # | Brand | Price | Availability |
|---|---|---|---|---|---|
|
|
Refrigerator and Freezer: 4.6 cu ft Refrigerator Capacity, 2 Doors, Left
Refrigerator and Freezer, Application - Laboratory Refrigerator/Freezer High Per...
|
Mfr. #: ABT-HC-RFC9-LH
|
AMERICAN BIOTECH SUPPLY | $4,118.77 | In Stock |
|
|
Refrigerator and Freezer: 4.6 cu ft Refrigerator Capacity, 2 Doors, Left
Refrigerator and Freezer, Application - Laboratory Refrigerator/Freezer High Per...
|
Mfr. #: ABT-HC-RFC9SS-LH
|
AMERICAN BIOTECH SUPPLY | $4,658.23 | In Stock |
|
|
Refrigerator and Freezer: 4.6 cu ft Refrigerator Capacity, 2 Doors, Right
Refrigerator and Freezer, Application - Laboratory Refrigerator/Freezer High Per...
|
Mfr. #: ABT-HC-RFC9
|
AMERICAN BIOTECH SUPPLY | $4,273.52 | In Stock |
|
|
Refrigerator and Freezer: 4.6 cu ft Refrigerator Capacity, 2 Doors, Right
Refrigerator and Freezer, Application - Laboratory Refrigerator/Freezer High Per...
|
Mfr. #: ABT-HC-RFC9SS
|
AMERICAN BIOTECH SUPPLY | $4,510.45 | In Stock |
|
|
Refrigerator and Freezer: 4.6 cu ft Refrigerator Capacity, 2 Doors, Swing
Refrigerator and Freezer, Application - Laboratory Refrigerator/Freezer High Per...
|
Mfr. #: ABT-HC-RFC9G-LH
|
AMERICAN BIOTECH SUPPLY | $4,308.51 | In Stock |
|
|
Refrigerator and Freezer: 5.2 cu ft Refrigerator Capacity, 2 Doors, Swing
Refrigerator and Freezer, Application - Laboratory Refrigerator/Freezer High Per...
|
Mfr. #: ABT-HC-RFC7
|
AMERICAN BIOTECH SUPPLY | $3,646.07 | In Stock |
|
|
Refrigerator and Freezer: 5.4 cu ft Refrigerator Capacity, 24 in Overall Dp
Refrigerator and Freezer, Application - Laboratory Refrigerator/Freezer Pharmacy...
|
Mfr. #: PH-ABT-HC-RFC1020G
|
AMERICAN BIOTECH SUPPLY | $4,421.35 | In Stock |
Refrigerator: Refrigerator Capacity,
1 product available
| Image | Product Name | Mfr # | Brand | Price | Availability |
|---|---|---|---|---|---|
|
|
Refrigerator: 25 cu ft Refrigerator Capacity, 5 cu ft Freezer Capacity
Refrigerator, Application - Laboratory Refrigerator/Freezer Flammable Liquid, La...
|
Mfr. #: ABT-ERCS-30
|
AMERICAN BIOTECH SUPPLY | $13,227.16 | In Stock |